package com.bailuntec.job;

import com.dangdang.ddframe.job.api.ShardingContext;
import com.dangdang.ddframe.job.api.simple.SimpleJob;
import com.dangdang.ddframe.job.executor.ShardingContexts;
import org.junit.Test;

import java.util.HashMap;

/**
 * <p>
 *
 * </p>
 *
 * @author robbendev
 * @since 2020/9/14 9:41 上午
 */
public class EbayFinanceAdSyncJobTest {

    @Test
    public void executeJob() {
        SimpleJob simpleJob = new EbayFinanceAdSyncJob();
        ShardingContext shardingContext = new ShardingContext(
                new ShardingContexts("x", "base-sync-finance-ebay-ad", 1, null, new HashMap<>()), 0
        );
        simpleJob.execute(shardingContext);
    }
}
